Load one raw-ingestion message including exact payloads.
GET
/v1/raw-ingestion-messages/{rawIngestionMessageId}
const url = 'https://api.dev.iot-sens.schlossers.at/v1/raw-ingestion-messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?receivedAt=2026-04-15T12%3A00%3A00Z';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.dev.iot-sens.schlossers.at/v1/raw-ingestion-messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?receivedAt=2026-04-15T12%3A00%3A00Z' \ --header 'Authorization: Bearer <token>'The receive timestamp is part of the hypertable key and is therefore required together with the message ID. Only platform administrators may access this sensitive payload response. Responses are not cacheable.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rawIngestionMessageId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”receivedAt
required
string format: date-time
Exact local receive timestamp from the list item.
Responses
Section titled “Responses”Raw-ingestion message including exact transport bytes.
Media typeapplication/json
object
rawIngestionMessageId
required
string format: uuid
receivedAt
required
string format: date-time
recordedAt
required
string format: date-time
eventId
required
string
correlationId
required
string
processingStatus
required
string
mqttTopic
required
string
mqttQos
required
integer
mqttRetained
required
boolean
mqttDuplicate
required
boolean
mqttReceivedAt
required
string format: date-time
networkServerProvider
required
string
schemaVersion
required
string
source
required
string
idempotencyKey
required
string
Example
{ "processingStatus": "accepted", "mqttQos": 0, "rawPayloadEncoding": "base64", "transportPayload": { "encoding": "base64" }, "rawPayload": { "encoding": "base64" }}Headers
Section titled “Headers”Cache-Control
string
default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string